Смоленск 1.6 Postgres Pro 14 + PostGIS 3.2

geos

New member
Сообщения
2
#1
Имеется ALSE 1.6 с установленным ранее заказчиком PostgreSQL 9.6 под 1С.

Сейчас нужен PG не ниже 12 версии из-за поддержки необходимых типов, кроме того, совместимый с PostGIS.
Рядом поставил PG Pro Standart 14.4 из deb пакетов предоставленных заказчиком, для последующего переноса на него базе.

postgrespro-std-14_14.4.1-1.smolensk_amd64.deb
postgrespro-std-14-client_14.4.1-1.smolensk_amd64.deb
postgrespro-std-14-contrib_14.4.1-1.smolensk_amd64.deb
postgrespro-std-14-dbg_14.4.1-1.smolensk_amd64.deb
postgrespro-std-14-dev_14.4.1-1.smolensk_amd64.deb
postgrespro-std-14-docs_14.4.1-1.smolensk_all.deb
postgrespro-std-14-docs-ru_14.4.1-1.smolensk_all.deb
postgrespro-std-14-jit_14.4.1-1.smolensk_amd64.deb
postgrespro-std-14-libs_14.4.1-1.smolensk_amd64.deb
postgrespro-std-14-plperl_14.4.1-1.smolensk_amd64.deb
postgrespro-std-14-plpython_14.4.1-1.smolensk_amd64.deb
postgrespro-std-14-plpython3_14.4.1-1.smolensk_amd64.deb
postgrespro-std-14-pltcl_14.4.1-1.smolensk_amd64.deb
postgrespro-std-14-server_14.4.1-1.smolensk_amd64.deb

Не пойму как PostGIS поставить на PG Pro.
Из репозитория доступен только PostGIS 2.3 (а хотелось бы уже 3.2) и тот со скриптами установки под PostgreSQL 9.6.
Поиск информации в сети показал, что для Postgres Pro нет сборок PostGIS, но надеюсь, что я ошибаюсь...
Под Windows скачанный с официального сайта PostGIS вполне нормально устанавливался на Postgres Pro.

Репозиторий может какой все же существует?

Или совместимую версию возможно собрать только из исходников ?
Если установка возможно только сборкой, то какие пакеты Postgres Pro нужны для этого (из списка в спойлере)?
И вообще как происходит сборка - прежде я ничего не собирал под linux - в какую сторону копать?

Может кто-нибудь пнуть в нужную сторону виндузятника вынужденного пересаживающегося на Linux?
 

geos

New member
Сообщения
2
#3
Репозиторий Postgres Pro, к сожалению, не содержит сторонние расширения, в число которых входит и PostGIS :cry: